Skip to content

Create a note

Request

Add a note to a contact or company.

Security
bearerAuth
Bodyapplication/jsonrequired
objectstringrequired
Enum:"lead""company"
Example:"lead"
object_uuidstringrequired

UUID of the contact or company.

notestringrequired
Example:"Follow up after demo next week."
POST
/leads/api/notes
curl -i -X POST \
  https://leadgen.grinfi.io/leads/api/notes \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "object": "lead",
    "object_uuid": "string",
    "note": "Follow up after demo next week."
  }'

Responses

Note created.

Bodyapplication/json
uuidstring
team_idinteger
user_idinteger
objectstring
Enum:"lead""company"
object_uuidstring
notestring
Example:"Follow up after demo next week."
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "string", "team_id": 0, "user_id": 0, "object": "lead", "object_uuid": "string", "note": "Follow up after demo next week.", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }